<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

	<PropertyGroup>
		<TargetFramework>net10.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
		<RunAOTCompilation>false</RunAOTCompilation>
		<UserSecretsId>ef618c0a-0813-4cb9-a3db-81757469494a</UserSecretsId>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Bit.BlazorUI" Version="10.4.3" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="10.0.5" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="10.0.5" PrivateAssets="all" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.3.9" />
		<PackageReference Include="Microsoft.Extensions.Http" Version="10.0.5" />
		<PackageReference Include="MudBlazor" Version="9.2.0" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
		<PackageReference Include="Radzen.Blazor" Version="10.0.6" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\JSMR.Application\JSMR.Application.csproj" />
	</ItemGroup>

	<ItemGroup>
		<ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
	</ItemGroup>

</Project>
